{ pkgs, lib, config, ... }:
let
  pactl = "exec ${pkgs.pulseaudio}/bin/pactl"; # TODO Use NixOS package if using NixOS
  mod = config.xsession.windowManager.i3.config.modifier;
in
{
  config = lib.mkIf config.frogeye.desktop.xorg {
    home.packages = with pkgs; [
      pavucontrol # Because can't use Win+F1X on Pinebook 🙃
    ];
    xsession.windowManager.i3.config.keybindings =
      {
        "XF86AudioRaiseVolume" = "${pactl} set-sink-mute @DEFAULT_SINK@ false; ${pactl} set-sink-volume @DEFAULT_SINK@ +5%";
        "XF86AudioLowerVolume" = "${pactl} set-sink-mute @DEFAULT_SINK@ false; ${pactl} set-sink-volume @DEFAULT_SINK@ -5%";
        "XF86AudioMute" = "${pactl} set-sink-mute @DEFAULT_SINK@ true";
        "${mod}+F7" = "${pactl} suspend-sink @DEFAULT_SINK@ 1; ${pactl} suspend-sink @DEFAULT_SINK@ 0"; # Re-synchronize bluetooth headset
        "${mod}+F11" = "exec ${pkgs.pavucontrol}/bin/pavucontrol";
        "${mod}+F12" = "exec ${pkgs.pavucontrol}/bin/pavucontrol";
        # TODO Find pacmixer?
      };
  };
}
