{ pkgs, lib, config, ... }:
{
  config = lib.mkIf config.frogeye.desktop.xorg {
    home.packages = with pkgs; [
      ashuffle
      mpc-cli
      vimpc
    ];
    services.mpd = {
      enable = true;
      network = {
        listenAddress = "0.0.0.0"; # So it can be controlled from home
        # TODO ... and whoever is the Wi-Fi network I'm using, which, not great
        startWhenNeeded = true;
      };
      extraConfig = ''
        restore_paused "yes"
      '';
    };
    xsession.windowManager.i3.config.keybindings =
      {
        "XF86AudioPrev" = "exec ${pkgs.mpc-cli}/bin/mpc prev";
        "XF86AudioPlay" = "exec ${pkgs.mpc-cli}/bin/mpc toggle";
        "XF86AudioNext" = "exec ${pkgs.mpc-cli}/bin/mpc next";
      };
  };
}
